<template>
	<view>
		<view class="main-cont">
			<view class="txt-sty">
				<image class="head-img" :src="wxhead"></image>
			</view>
			<view class="txt-sty head-txt">
				微信号：{{wxtxt}}
			</view>
			<view class="txt-sty">
				<image :src="wxImg" class="ercode-img"></image>
			</view>
			<view class="txt-sty" style="font-weight: 700; margin-top: 1rem;">长按二维码，添加微信享受优惠</view>
		</view>
		<view class="item-contant" v-if="itemsdata&&itemsdata.length>0">
			<view class="item-head">
				---- 好物推荐 ----
			</view>
			<view class="item-list">
				<view class="item-v" v-for="item in itemsdata">
					<lineItem :isrecord="isrecord" :items="item"></lineItem>
				</view>
			</view>
			<view class="bottom-show">添加微信，享受更多优惠~</view>
		</view>
		
	</view>
</template>

<script>
	import lineItem from '../../components/items/LineItem.vue';
	import comUtils from '../../utils/ComUtils.js'
	export default {
		components: {
			lineItem
		},
		data() {
			return {
				wxImg: 'https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/dfg/wxhead0801.png',
				wxhead: 'https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/dfg/wxheadimg0801.jpg',
				wxtxt: '17396873080',
				itemsdata: {},
				isrecord:true
			}
		},
		onLoad() {
			/* let isshow=comUtils.getUrlPar('ishow');
			if(isshow)
			{
				
			} */
			this.getItemsInfo();
		},
		methods: {
			getItemsInfo() {
				var that = this;
				let postdata = {
					page: 1,
					pageSize: 20,
					sort: 2,
					subcid:8052,
					couponPriceLowerLimit:10
				};
				this.$http.post('/api/taoke/tb_goods_list', 
					postdata
				).then(e => {
					console.log(e);
					uni.hideLoading();
					if (e.code != 0) {
						return;
					}
					var obj=[];
					var newarr=[];
					for(var i=0;i<e.data.list.length;i++)
					{
						if(!obj[e.data.list[i].shopName])
						{
							newarr.push(e.data.list[i]);
							obj[e.data.list[i].shopName]=true;
						}
					}
					this.itemsdata = newarr;
					console.log(e);
				}).catch(function(err) {
					console.log(err);
				})
			}

		},
	}
</script>

<style>
	.item-head {
		text-align: center;
		padding: 1rem;
		font-weight: 600;
		color: linear-gradient(-90deg, #fe3a3f, #faa450);
		color: #fe3a3f;
		background: linear-gradient(-90deg, #fe3a3f, #faa450);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
	}

	.bottom-show {
		text-align: center;
		width: 100%;
		padding-bottom: 1rem;
		color: #fe3a3f;
		background: linear-gradient(-90deg, #fe3a3f, #faa450);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
		font-weight: 600;
	}

	.txt-sty {
		text-align: center;
	}

	.main-cont {}

	.head-txt {
		margin: 0.4rem 0 2rem 0;
	}

	.head-img {
		width: 5rem;
		height: 5rem;
		margin-top: 4rem;
	}

	.ercode-img {
		width: 16rem;
		height: 16rem;
	}
</style>